### Method

# Pango.Color.copy

#### Declaration [src]

    PangoColor*
    pango_color_copy (
      const PangoColor* src
    )

#### Description [src]

Creates a copy of `src`.

The copy should be freed with `pango_color_free()`. Primarily used by language bindings, not that useful otherwise (since colors can just be copied by assignment in C).

#### Return value

Returns: `PangoColor`
the newly allocated `PangoColor`, which should be freed with `pango_color_free()`, or `NULL` if `src` was `NULL`.
Ownership of the data is transferred to the caller
Can be `NULL`